<script>
jQuery(document).ready(function() {

	// Uploading files

	jQuery('#upload_noImageAvailable_button').on('click', function( event ) {
		var file_frame;
		event.preventDefault();
		// If the media frame already exists, reopen it.
		if ( file_frame ) {
			file_frame.open();
			return;
		}
		// Create the media frame.
		file_frame = wp.media.frames.file_frame = wp.media({
			title: jQuery( this ).data( 'uploader_title' ),
			button: {
			text: jQuery( this ).data( 'uploader_button_text' ),
			},
			multiple: false // Set to true to allow multiple files to be selected
		});
		// When an image is selected, run a callback.
		file_frame.on( 'select', function() {
			// We set multiple to false so only get one image from the uploader
			attachment = file_frame.state().get('selection').first().toJSON();
			// Do something with attachment.id and/or attachment.url here
			//alert (attachment.url);
			jQuery('#noImageAvailable').val(attachment.url);
			jQuery('#noImageAvailable_preview').attr('src',attachment.url);
		});
		// Finally, open the modal
		file_frame.open();
	});



	jQuery('#upload_frameBehindTextImg_button').on('click', function( event ) {
		var file_frame;
		event.preventDefault();
		// If the media frame already exists, reopen it.
		if ( file_frame ) {
			file_frame.open();
			return;
		}
		// Create the media frame.
		file_frame = wp.media.frames.file_frame = wp.media({
			title: jQuery( this ).data( 'uploader_title' ),
			button: {
			text: jQuery( this ).data( 'uploader_button_text' ),
			},
			multiple: false // Set to true to allow multiple files to be selected
		});
		// When an image is selected, run a callback.
		file_frame.on( 'select', function() {
			// We set multiple to false so only get one image from the uploader
			attachment = file_frame.state().get('selection').first().toJSON();
			// Do something with attachment.id and/or attachment.url here
			//alert (attachment.url);
			jQuery('#frameBehindTextImg').val(attachment.url);
			jQuery('#frameBehindTextImg_preview').attr('src',attachment.url);
		});
		// Finally, open the modal
		file_frame.open();
	});


	jQuery('#upload_textureOverImage_button').on('click', function( event ) {
		var file_frame;
		event.preventDefault();
		// If the media frame already exists, reopen it.
		if ( file_frame ) {
			file_frame.open();
			return;
		}
		// Create the media frame.
		file_frame = wp.media.frames.file_frame = wp.media({
			title: jQuery( this ).data( 'uploader_title' ),
			button: {
			text: jQuery( this ).data( 'uploader_button_text' ),
			},
			multiple: false // Set to true to allow multiple files to be selected
		});
		// When an image is selected, run a callback.
		file_frame.on( 'select', function() {
			// We set multiple to false so only get one image from the uploader
			attachment = file_frame.state().get('selection').first().toJSON();
			// Do something with attachment.id and/or attachment.url here
			//alert (attachment.url);
			jQuery('#textureOverImage').val(attachment.url);
			jQuery('#textureOverImage_preview').attr('src',attachment.url);
		});
		// Finally, open the modal
		file_frame.open();
	});


	jQuery('#upload_facebookShareImage_button').on('click', function( event ) {
		var file_frame;
		event.preventDefault();
		// If the media frame already exists, reopen it.
		if ( file_frame ) {
			file_frame.open();
			return;
		}
		// Create the media frame.
		file_frame = wp.media.frames.file_frame = wp.media({
			title: jQuery( this ).data( 'uploader_title' ),
			button: {
			text: jQuery( this ).data( 'uploader_button_text' ),
			},
			multiple: false // Set to true to allow multiple files to be selected
		});
		// When an image is selected, run a callback.
		file_frame.on( 'select', function() {
			// We set multiple to false so only get one image from the uploader
			attachment = file_frame.state().get('selection').first().toJSON();
			// Do something with attachment.id and/or attachment.url here
			//alert (attachment.url);
			jQuery('#facebookShareImage').val(attachment.url);
			jQuery('#facebookShareImage_preview').attr('src',attachment.url);
		});
		// Finally, open the modal
		file_frame.open();
	});


});
</script>
<div class="wrap">
	<div id="lbg_logo">
			<h2>Player Settings for player: <span style="color:#FF0000; font-weight:bold;"><?php echo $_SESSION['xname']?> - ID #<?php echo $_SESSION['xid']?></span></h2>
 	</div>

	<div style="text-align:center; padding:0px 0px 20px 0px;"><img src="<?php echo plugins_url('images/icons/magnifier.png', dirname(__FILE__))?>" alt="add" align="absmiddle" /> <a href="javascript: void(0);" onclick="showDialogPreview(<?php echo strip_tags($_SESSION['xid'])?>)">Preview Player</a></div>

	<div id="previewDialog"><iframe id="previewDialogIframe" src="" width="100%" height="600" style="border:0;"></iframe></div>

  <form method="POST" enctype="multipart/form-data" id="form-player-settings">
	<script>
	jQuery(function() {
		var icons = {
			header: "ui-icon-circle-arrow-e",
			headerSelected: "ui-icon-circle-arrow-s"
		};
		jQuery( "#accordion" ).accordion({
			icons: icons,
			autoHeight: false
		});
	});
	</script>


<div id="accordion">
  <h3><a href="#">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;General Settings</a></h3>
  <div style="padding:30px;">
	  <table class="wp-list-table widefat fixed pages" cellspacing="0">

		  <tr>
		    <td align="right" valign="top" class="row-title" width="35%">Player Name</td>
		    <td align="left" valign="top" width="65%"><input name="name" type="text" size="40" id="name" value="<?php echo $_SESSION['xname'];?>"/></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Radio Stream Link</td>
		    <td align="left" valign="middle"><input name="radio_stream" type="text" size="60" id="radio_stream" value="<?php echo $_POST['radio_stream'];?>"/></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">&nbsp;</td>
		    <td align="left" valign="top"><span class="small_text"><u>Shoutcast link structure:</u> http://[ip]:[port]/;<br />
	        <u>Icecast link structure:</u> http://[domain]:[port]/mountpoint</span></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Radio Name</td>
		    <td align="left" valign="middle"><input name="radio_name" type="text" size="60" id="radio_name" value="<?php echo $_POST['radio_name'];?>"/></td>
	    </tr>
			<tr>
			    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Url custom metadata file ( OPTIONAL )' , 'audio6-html5' );?></td>
			    <td align="left" valign="middle"><input name="url_custom_metdata_file" type="text" size="60" id="url_custom_metdata_file" value="<?php echo esc_attr($_POST['url_custom_metdata_file']);?>"/></td>
		  </tr>
			<tr>
				    <td align="right" valign="top" class="row-title">&nbsp;</td>
				    <td align="left" valign="top"><span class="small_text"><strong>ONLY</strong><i> in the case you do not have a standard radio stream and you know the direct url to the metadata file</i></td>
			</tr>
			<tr>
		    <td align="right" valign="top" class="row-title"><?php esc_html_e( 'Metadata File Type ( OPTIONAL )' , 'audio6-html5' );?></td>
		    <td align="left" valign="middle"><select name="metadata_file_type" id="metadata_file_type">
		      <option value="" <?php echo (($_POST['metadata_file_type']=='')?'selected="selected"':'')?>>default</option>
		      <option value="1" <?php echo (($_POST['metadata_file_type']=='1')?'selected="selected"':'')?>>stats?sid=1</option>
					<option value="2" <?php echo (($_POST['metadata_file_type']=='2')?'selected="selected"':'')?>>7.html</option>
					<option value="3" <?php echo (($_POST['metadata_file_type']=='3')?'selected="selected"':'')?>>status-json.xsl</option>
					<option value="4" <?php echo (($_POST['metadata_file_type']=='4')?'selected="selected"':'')?>>status.xsl</option>
            </select></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Skin Name</td>
		    <td align="left" valign="middle"><select name="skin" id="skin">
		      <option value="whiteControllers" <?php echo (($_POST['skin']=='whiteControllers')?'selected="selected"':'')?>>whiteControllers</option>
		      <option value="blackControllers" <?php echo (($_POST['skin']=='blackControllers')?'selected="selected"':'')?>>blackControllers</option>
            </select></td>
	      </tr>
				<tr>
			    <td align="right" valign="top" class="row-title">Buttons Off State Color</td>
			    <td align="left" valign="middle"><input name="buttonsOffState" type="text" size="25" id="buttonsOffState" value="<?php echo $_POST['buttonsOffState'];?>" style="background-color:#<?php echo $_POST['buttonsOffState'];?>" />
	            <script>
	jQuery('#buttonsOffState').ColorPicker({
		onSubmit: function(hsb, hex, rgb, el) {
			jQuery(el).val(hex);
			jQuery(el).css("background-color",'#'+hex);
			jQuery(el).ColorPickerHide();
		},
		onBeforeShow: function () {
			jQuery(this).ColorPickerSetColor(this.value);
		}
	})
	.bind('keyup', function(){
		jQuery(this).ColorPickerSetColor(this.value);
	});
	              </script>            </td>
		      </tr>
					<tr>
						<td align="right" valign="top" class="row-title">Buttons On State Color</td>
						<td align="left" valign="middle"><input name="buttonsOnState" type="text" size="25" id="buttonsOnState" value="<?php echo $_POST['buttonsOnState'];?>" style="background-color:#<?php echo $_POST['buttonsOnState'];?>" />
								<script>
					jQuery('#buttonsOnState').ColorPicker({
					onSubmit: function(hsb, hex, rgb, el) {
					jQuery(el).val(hex);
					jQuery(el).css("background-color",'#'+hex);
					jQuery(el).ColorPickerHide();
					},
					onBeforeShow: function () {
					jQuery(this).ColorPickerSetColor(this.value);
					}
					})
					.bind('keyup', function(){
					jQuery(this).ColorPickerSetColor(this.value);
					});
									</script>            </td>
						</tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Player Width</td>
		    <td align="left" valign="middle"><input name="playerWidth" type="text" size="25" id="playerWidth" value="<?php echo $_POST['playerWidth'];?>"/></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Image Height</td>
		    <td align="left" valign="middle"><input name="imageHeight" type="text" size="25" id="imageHeight" value="<?php echo $_POST['imageHeight'];?>"/></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Responsive</td>
		    <td align="left" valign="middle"><select name="responsive" id="responsive">
		      <option value="true" <?php echo (($_POST['responsive']=='true')?'selected="selected"':'')?>>true</option>
		      <option value="false" <?php echo (($_POST['responsive']=='false')?'selected="selected"':'')?>>false</option>
		      </select></td>
	      </tr>
		<tr>
		    <td align="right" valign="top" class="row-title">Auto Play</td>
		    <td align="left" valign="middle"><select name="autoPlay" id="autoPlay">
              <option value="true" <?php echo (($_POST['autoPlay']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['autoPlay']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
		<tr>
		    <td align="right" valign="top" class="row-title">Center Player</td>
		    <td align="left" valign="middle"><select name="centerPlayer" id="centerPlayer">
              <option value="true" <?php echo (($_POST['centerPlayer']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['centerPlayer']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	    </tr>
			<tr>
				<td align="right" valign="top" class="row-title">Player Loading Delay</td>
				<td align="left" valign="middle"><input name="delay" type="text" size="25" id="delay" value="<?php echo esc_attr($_POST['delay']);?>"/> seconds</td>
				</tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Default 'No Image Available'</td>
		    <td align="left" valign="top"><input name="noImageAvailable" type="text" id="noImageAvailable" size="80" value="<?php echo $_POST['noImageAvailable']?>" /> <input name="upload_noImageAvailable_button" type="button" id="upload_noImageAvailable_button" value="Change Image" />
		      <br />
		      Enter an URL or upload an image<br />
              <div id="noImageAvailable_preview_div" style="padding:5px 0;"> <img src="<?php echo $_POST['noImageAvailable']?>" alt="" name="noImageAvailable_preview" id="noImageAvailable_preview" /> </div></td>
	      </tr>
				<tr>
			    <td align="right" valign="top" class="row-title">Texture Over Artist Image</td>
			    <td align="left" valign="top"><input name="textureOverImage" type="text" id="textureOverImage" size="80" value="<?php echo $_POST['textureOverImage']?>" /> <input name="upload_textureOverImage_button" type="button" id="upload_textureOverImage_button" value="Change Image" />
			      <br />
			      Enter an URL or upload an image<br />
	              <div id="textureOverImage_preview_div" style="padding:5px 0;"> <img src="<?php echo $_POST['textureOverImage']?>" alt="" name="textureOverImage_preview" id="textureOverImage_preview" /> </div></td>
		      </tr>
	      <tr>
		    <td align="right" valign="top" class="row-title">Sticky</td>
		    <td align="left" valign="middle"><select name="sticky" id="sticky">
              <option value="true" <?php echo (($_POST['sticky']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['sticky']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	   </tr>
           <tr>
                <td align="right" valign="top" class="row-title">Activate For Footer (it needs Sticky set to true)</td>
                <td align="left" valign="middle"><select name="activateForFooter" id="activateForFooter">
                  <option value="true" <?php echo (($_POST['activateForFooter']=='true')?'selected="selected"':'')?>>true</option>
                  <option value="false" <?php echo (($_POST['activateForFooter']=='false')?'selected="selected"':'')?>>false</option>
                </select></td>
           </tr>
           <tr>
		    <td align="right" valign="top" class="row-title">Start Minified (it needs Sticky set to true)</td>
		    <td align="left" valign="middle"><select name="startMinified" id="startMinified">
              <option value="true" <?php echo (($_POST['startMinified']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['startMinified']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	   </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Grab Artist Photo</td>
		    <td align="left" valign="middle"><select name="grabLastFmPhoto" id="grabLastFmPhoto">
              <option value="true" <?php echo (($_POST['grabLastFmPhoto']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['grabLastFmPhoto']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Show Volume</td>
		    <td align="left" valign="middle"><select name="showVolume" id="showVolume">
              <option value="true" <?php echo (($_POST['showVolume']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showVolume']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	   </tr>
		 <tr>
		    <td align="right" valign="top" class="row-title">Center Title</td>
		    <td align="left" valign="middle"><select name="centerTitle" id="centerTitle">
              <option value="true" <?php echo (($_POST['centerTitle']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['centerTitle']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	   </tr>
		 <tr>
		 	<td align="right" valign="top" class="row-title">&nbsp;</td>
		 	<td align="left" valign="top"><span class="small_text">true - the song title & author name will be displayed in the middle of the player<br />
		 		false - the song title & author name will be left aligned, above the play button.</span></td>
		 	</tr>
		 <tr>
		    <td align="right" valign="top" class="row-title">Show Song Title &amp; Author</td>
		    <td align="left" valign="middle"><select name="showTitle" id="showTitle">
              <option value="true" <?php echo (($_POST['showTitle']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showTitle']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	   </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Song Title - Text Color</td>
		    <td align="left" valign="middle"><input name="songTitleColor" type="text" size="25" id="songTitleColor" value="<?php echo $_POST['songTitleColor'];?>" style="background-color:#<?php echo $_POST['songTitleColor'];?>" />
            <script>
jQuery('#songTitleColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	      </tr>

			<tr>
		    <td align="right" valign="top" class="row-title">Author Title - Text Color</td>
		    <td align="left" valign="middle"><input name="authorTitleColor" type="text" size="25" id="authorTitleColor" value="<?php echo $_POST['authorTitleColor'];?>" style="background-color:#<?php echo $_POST['authorTitleColor'];?>" />
            <script>
jQuery('#authorTitleColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	      </tr>
<tr>
		    <td align="right" valign="top" class="row-title">Show Radio Station</td>
		    <td align="left" valign="middle"><select name="showRadioStation" id="showRadioStation">
              <option value="true" <?php echo (($_POST['showRadioStation']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showRadioStation']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	   </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Radio Station - Text Color</td>
		    <td align="left" valign="middle"><input name="radioStationColor" type="text" size="25" id="radioStationColor" value="<?php echo $_POST['radioStationColor'];?>" style="background-color:#<?php echo $_POST['radioStationColor'];?>" />
            <script>
jQuery('#radioStationColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	      </tr>
	      <tr>
		    <td align="right" valign="top" class="row-title">Line Separator Color (between Song Title & Song Author)</td>
		    <td align="left" valign="middle"><input name="lineSeparatorColor" type="text" size="25" id="lineSeparatorColor" value="<?php echo $_POST['lineSeparatorColor'];?>" style="background-color:#<?php echo $_POST['lineSeparatorColor'];?>" />
            <script>
jQuery('#lineSeparatorColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	      </tr>
				<tr>
					<td align="right" valign="top" class="row-title">Line Separator Alpha</td>
					<td align="left" valign="middle"><script>
				jQuery(function() {
				jQuery( "#lineSeparatorOpacity-slider-range-min" ).slider({
				range: "min",
				value: <?php echo $_POST['lineSeparatorOpacity'];?>,
				min: 0,
				max: 100,
				slide: function( event, ui ) {
					jQuery( "#lineSeparatorOpacity" ).val(ui.value );
				}
				});
				jQuery( "#lineSeparatorOpacity" ).val( jQuery( "#lineSeparatorOpacity-slider-range-min" ).slider( "value" ) );
				});
						</script>
									<div id="lineSeparatorOpacity-slider-range-min" class="inlinefloatleft" style="width:200px;"></div>
						<div class="inlinefloatleft" style="padding-left:20px;">%
							<input name="lineSeparatorOpacity" type="text" size="10" id="lineSeparatorOpacity" style="border:0; color:#000000; font-weight:bold;"/>
							</div></td>
				</tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Background Color Beneath Song Title<br><i>For minimized version</i></td>
		    <td align="left" valign="middle"><input name="frameBehindTextColor" type="text" size="25" id="frameBehindTextColor" value="<?php echo $_POST['frameBehindTextColor'];?>" style="background-color:#<?php echo $_POST['frameBehindTextColor'];?>" />
            <script>
jQuery('#frameBehindTextColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	      </tr>
				<tr>
			    <td align="right" valign="top" class="row-title">Background Image Beneath Song Title<br><i>If an image will be added the 'Background Color Beneath Song Title' will be ignored </i></td>
			    <td align="left" valign="top"><input name="frameBehindTextImg" type="text" id="frameBehindTextImg" size="80" value="<?php echo $_POST['frameBehindTextImg']?>" /> <input name="upload_frameBehindTextImg_button" type="button" id="upload_frameBehindTextImg_button" value="Change Image" />
			      <br />
			      Enter an URL or upload an image<br />
	              <div id="frameBehindTextImg_preview_div" style="padding:5px 0;"> <img src="<?php echo $_POST['frameBehindTextImg']?>" alt="" name="frameBehindTextImg_preview" id="frameBehindTextImg_preview" /> </div></td>
		      </tr>
           <tr>
                   <td align="right" valign="top" class="row-title">Player Border Size</td>
                   <td align="left" valign="middle"><input name="playerBorderSize" type="text" size="25" id="playerBorderSize" value="<?php echo $_POST['playerBorderSize'];?>"/></td>
          </tr>
           <tr>
             <td align="right" valign="top" class="row-title">Player Border Color</td>
             <td align="left" valign="middle"><input name="playerBorderColor" type="text" size="25" id="playerBorderColor" value="<?php echo $_POST['playerBorderColor'];?>" style="background-color:#<?php echo $_POST['playerBorderColor'];?>" />
            <script>
jQuery('#playerBorderColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
           </tr>

		  <tr>
		    <td align="right" valign="top" class="row-title">Refresh Interval for Now-Playing Info</td>
		    <td align="left" valign="middle"><input name="nowPlayingInterval" type="text" size="25" id="nowPlayingInterval" value="<?php echo $_POST['nowPlayingInterval'];?>"/></td>
	      </tr>
				<tr>
			    <td align="right" valign="top" class="row-title">Use The Original Upper&LowerCase for Song & Author As It Is In the Radio Metadata file</td>
					<td align="left" valign="middle"><select name="preserveOriginalUpperLowerCase" id="preserveOriginalUpperLowerCase">
	 		     <option value="true" <?php echo (($_POST['preserveOriginalUpperLowerCase']=='true')?'selected="selected"':'')?>>true</option>
	 		     <option value="false" <?php echo (($_POST['preserveOriginalUpperLowerCase']=='false')?'selected="selected"':'')?>>false</option>
	 		     </select></td>
		      </tr>
				<tr>
	 		   <td align="right" valign="top" class="row-title">Show Bio Button</td>
	 		   <td align="left" valign="middle"><select name="showBio" id="showBio">
	 		     <option value="true" <?php echo (($_POST['showBio']=='true')?'selected="selected"':'')?>>true</option>
	 		     <option value="false" <?php echo (($_POST['showBio']=='false')?'selected="selected"':'')?>>false</option>
	 		     </select></td>
	 	      </tr>
					<tr>
             <td align="right" valign="top" class="row-title">Translate Bio</td>
             <td align="left" valign="middle"><input name="translateBio" type="text" size="45" id="translateBio" value="<?php echo $_POST['translateBio'];?>"/></td>
           </tr>
					 <tr>
					 	<td align="right" valign="top" class="row-title">Bio Text Color</td>
					 	<td align="left" valign="middle"><input name="bioAndLyricsColor" type="text" size="25" id="bioAndLyricsColor" value="<?php echo $_POST['bioAndLyricsColor'];?>" style="background-color:#<?php echo $_POST['bioAndLyricsColor'];?>" />
					  <script>
					 jQuery('#bioAndLyricsColor').ColorPicker({
					 onSubmit: function(hsb, hex, rgb, el) {
					 jQuery(el).val(hex);
					 jQuery(el).css("background-color",'#'+hex);
					 jQuery(el).ColorPickerHide();
					 },
					 onBeforeShow: function () {
					 jQuery(this).ColorPickerSetColor(this.value);
					 }
					 })
					 .bind('keyup', function(){
					 jQuery(this).ColorPickerSetColor(this.value);
					 });
					 	 </script>            </td>
					 </tr>
		 <tr>
		   <td align="right" valign="top" class="row-title">Show Twitter Button</td>
		   <td align="left" valign="middle"><select name="showTwitterBut" id="showTwitterBut">
		     <option value="true" <?php echo (($_POST['showTwitterBut']=='true')?'selected="selected"':'')?>>true</option>
		     <option value="false" <?php echo (($_POST['showTwitterBut']=='false')?'selected="selected"':'')?>>false</option>
		     </select></td>
	      </tr>


		 <tr>
		    <td align="right" valign="top" class="row-title">Show FaceBook Button</td>
		    <td align="left" valign="middle"><select name="showFacebookBut" id="showFacebookBut">
              <option value="true" <?php echo (($_POST['showFacebookBut']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showFacebookBut']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	   </tr>
		 <tr>
		   <td align="right" valign="top" class="row-title">FaceBook AppID</td>
		   <td align="left" valign="middle"><input name="facebookAppID" type="text" size="25" id="facebookAppID" value="<?php echo $_POST['facebookAppID'];?>"/></td>
	      </tr>
		 <tr>
		   <td align="right" valign="top" class="row-title">FaceBook Share Title</td>
		   <td align="left" valign="middle"><input name="facebookShareTitle" type="text" size="45" id="facebookShareTitle" value="<?php echo $_POST['facebookShareTitle'];?>"/></td>
	      </tr>
		 <tr>
		   <td align="right" valign="top" class="row-title">FaceBook Share Description</td>
		   <td align="left" valign="middle"><textarea name="facebookShareDescription" id="facebookShareDescription" cols="45" rows="5"><?php echo $_POST['facebookShareDescription'];?></textarea></td>
	     </tr>
		 <tr>
		    <td align="right" valign="top" class="row-title">FaceBook Share Image</td>
		    <td align="left" valign="top"><input name="facebookShareImage" type="text" id="facebookShareImage" size="80" value="<?php echo $_POST['facebookShareImage']?>" /> <input name="upload_facebookShareImage_button" type="button" id="upload_facebookShareImage_button" value="Change Image" />
		      <br />
		      Enter an URL or upload an image<br />
            <div id="facebookShareImage_preview_div" style="padding:5px 0;"> <img src="<?php echo $_POST['facebookShareImage']?>" alt="" name="facebookShareImage_preview" id="facebookShareImage_preview" /> </div></td>
	      </tr>
		 <tr>
		   <td align="right" valign="top" class="row-title">&nbsp;</td>
		   <td align="left" valign="middle">&nbsp;</td>
	      </tr>

      </table>
  </div>
  <h3><a href="#">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;History Settings</a></h3>
  <div style="padding:30px;">
	  <table class="wp-list-table widefat fixed pages" cellspacing="0">
		 <tr>
		    <td align="right" valign="top" class="row-title" width="35%">Show History Button</td>
		    <td align="left" valign="middle" width="65%"><select name="showHistoryBut" id="showHistoryBut">
              <option value="true" <?php echo (($_POST['showHistoryBut']=='true')?'selected="selected"':'')?>>true</option>
              <option value="false" <?php echo (($_POST['showHistoryBut']=='false')?'selected="selected"':'')?>>false</option>
            </select></td>
	   </tr>
          <tr>
             <td align="right" valign="top" class="row-title">Translate Reading Data</td>
             <td align="left" valign="middle"><input name="translateReadingData" type="text" size="45" id="translateReadingData" value="<?php echo $_POST['translateReadingData'];?>"/></td>
           </tr>
           <tr>
             <td align="right" valign="top" class="row-title">Translate History Title</td>
             <td align="left" valign="middle"><input name="historyTranslate" type="text" size="45" id="historyTranslate" value="<?php echo $_POST['historyTranslate'];?>"/></td>
           </tr>
					 <tr>
              <td align="right" valign="top" class="row-title">History Record Thumb Border Color</td>
              <td align="left" valign="middle"><input name="historyRecordThumbBorderColor" type="text" size="25" id="historyRecordThumbBorderColor" value="<?php echo $_POST['historyRecordThumbBorderColor'];?>" style="background-color:#<?php echo $_POST['historyRecordThumbBorderColor'];?>" />
             <script>
 jQuery('#historyRecordThumbBorderColor').ColorPicker({
 	onSubmit: function(hsb, hex, rgb, el) {
 		jQuery(el).val(hex);
 		jQuery(el).css("background-color",'#'+hex);
 		jQuery(el).ColorPickerHide();
 	},
 	onBeforeShow: function () {
 		jQuery(this).ColorPickerSetColor(this.value);
 	}
 })
 .bind('keyup', function(){
 	jQuery(this).ColorPickerSetColor(this.value);
 });
               </script>            </td>
           </tr>
          <tr>
             <td align="right" valign="top" class="row-title">History (and Bio) Title Color</td>
             <td align="left" valign="middle"><input name="historyTitleColor" type="text" size="25" id="historyTitleColor" value="<?php echo $_POST['historyTitleColor'];?>" style="background-color:#<?php echo $_POST['historyTitleColor'];?>" />
            <script>
jQuery('#historyTitleColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
          </tr>
          <tr>
		    <td align="right" valign="top" class="row-title">History Background Color</td>
		    <td align="left" valign="middle"><input name="historyBgColor" type="text" size="25" id="historyBgColor" value="<?php echo $_POST['historyBgColor'];?>" style="background-color:#<?php echo $_POST['historyBgColor'];?>" />
            <script>
jQuery('#historyBgColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	      </tr>
		  <tr>
				<tr>
			    <td align="right" valign="top" class="row-title">History Background Color Alpha</td>
			    <td align="left" valign="middle"><script>
		jQuery(function() {
			jQuery( "#historyBgColorAlpha-slider-range-min" ).slider({
				range: "min",
				value: <?php echo $_POST['historyBgColorAlpha'];?>,
				min: 0,
				max: 100,
				slide: function( event, ui ) {
					jQuery( "#historyBgColorAlpha" ).val(ui.value );
				}
			});
			jQuery( "#historyBgColorAlpha" ).val( jQuery( "#historyBgColorAlpha-slider-range-min" ).slider( "value" ) );
		});
		        </script>
	                <div id="historyBgColorAlpha-slider-range-min" class="inlinefloatleft" style="width:200px;"></div>
			      <div class="inlinefloatleft" style="padding-left:20px;">%
			        <input name="historyBgColorAlpha" type="text" size="10" id="historyBgColorAlpha" style="border:0; color:#000000; font-weight:bold;"/>
		          </div></td>
		    </tr>
		    <td align="right" valign="top" class="row-title">History Record Background Color</td>
		    <td align="left" valign="middle"><input name="historyRecordBgColor" type="text" size="25" id="historyRecordBgColor" value="<?php echo $_POST['historyRecordBgColor'];?>" style="background-color:#<?php echo $_POST['historyRecordBgColor'];?>" />
            <script>
jQuery('#historyRecordBgColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">History Record Bottom Border Color</td>
		    <td align="left" valign="middle"><input name="historyRecordBottomBorderColor" type="text" size="25" id="historyRecordBottomBorderColor" value="<?php echo $_POST['historyRecordBottomBorderColor'];?>" style="background-color:#<?php echo $_POST['historyRecordBottomBorderColor'];?>" />
            <script>
jQuery('#historyRecordBottomBorderColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">History Record Song Color</td>
		    <td align="left" valign="middle"><input name="historyRecordSongColor" type="text" size="25" id="historyRecordSongColor" value="<?php echo $_POST['historyRecordSongColor'];?>" style="background-color:#<?php echo $_POST['historyRecordSongColor'];?>" />
            <script>
jQuery('#historyRecordSongColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	      </tr>

		  <tr>
		    <td align="right" valign="top" class="row-title">History Record Title Limit</td>
		    <td align="left" valign="middle"><input name="historyRecordTitleLimit" type="text" size="15" id="historyRecordTitleLimit" value="<?php echo $_POST['historyRecordTitleLimit'];?>"/></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">History Record Song Bottom Border Color</td>
		    <td align="left" valign="middle"><input name="historyRecordSongBottomBorderColor" type="text" size="25" id="historyRecordSongBottomBorderColor" value="<?php echo $_POST['historyRecordSongBottomBorderColor'];?>" style="background-color:#<?php echo $_POST['historyRecordSongBottomBorderColor'];?>" />
            <script>
jQuery('#historyRecordSongBottomBorderColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">History Record Author Color</td>
		    <td align="left" valign="middle"><input name="historyRecordAuthorColor" type="text" size="25" id="historyRecordAuthorColor" value="<?php echo $_POST['historyRecordAuthorColor'];?>" style="background-color:#<?php echo $_POST['historyRecordAuthorColor'];?>" />
            <script>
jQuery('#historyRecordAuthorColor').ColorPicker({
	onSubmit: function(hsb, hex, rgb, el) {
		jQuery(el).val(hex);
		jQuery(el).css("background-color",'#'+hex);
		jQuery(el).ColorPickerHide();
	},
	onBeforeShow: function () {
		jQuery(this).ColorPickerSetColor(this.value);
	}
})
.bind('keyup', function(){
	jQuery(this).ColorPickerSetColor(this.value);
});
              </script>            </td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">History Record Author Limit</td>
		    <td align="left" valign="middle"><input name="historyRecordAuthorLimit" type="text" size="15" id="historyRecordAuthorLimit" value="<?php echo $_POST['historyRecordAuthorLimit'];?>"/></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">Number Of Items Per Screen</td>
		    <td align="left" valign="top"><input name="numberOfThumbsPerScreen" type="text" size="25" id="numberOfThumbsPerScreen" value="<?php echo stripslashes($_POST['numberOfThumbsPerScreen']);?>"/></td>
	    </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">History Padding</td>
		    <td align="left" valign="middle"><input name="historyPadding" type="text" size="25" id="historyPadding" value="<?php echo $_POST['historyPadding'];?>"/></td>
	      </tr>
		  <tr>
		    <td align="right" valign="top" class="row-title">&nbsp;</td>
		    <td align="left" valign="middle">&nbsp;</td>
	      </tr>


		  <tr>
		    <td align="right" valign="top" class="row-title">&nbsp;</td>
		    <td align="left" valign="middle">&nbsp;</td>
	      </tr>

      </table>
  </div>



</div>

<div style="text-align:center; padding:20px 0px 20px 0px;"><input name="Submit" type="submit" id="Submit" class="button-primary" value="Update Player Settings"></div>

</form>
</div>
